{% extends "base.html" %}

{% block title %}Signup{% endblock title %}

{% block content %}

    <!-- Registration Form
    ================================================== -->

    <div style="padding-top: 50px"></div>
    <center>
    <div class="panel panel-default" style="width: 50%; box-shadow: 0px 5px 5px" >

        <div class="panel-body">

            <form method="POST" action="{% url 'signup' %}" class="form-group" role="form"> {% csrf_token %}

                {% if passwd_alert %}
                    <div class="alert alert-danger" role="alert"><strong><em>Password Error.</em></strong></div>
                {% endif %}

                {% if email_alert %}
                    <div class="alert alert-danger" role="alert"><strong><em>E-mail Already Exists.</em></strong></div>
                {% endif %}

                {% if username_alert %}
                    <div class="alert alert-danger" role="alert"><strong><em>Username Already Exists.</em></strong></div>
                {% endif %}

                <h2 class="form-signin-heading"><strong><em>Please Sign Up</em></strong></h2>
                <br />

                <input class="form-control" placeholder="Username" maxlength="30" name="username" type="text" required autofocus/>
                <input class="form-control" placeholder="Email Address" name="email" type="email" required />
                <input class="form-control" placeholder="Password" name="password1" type="password" required />
                <input class="form-control" placeholder="Confirm Password" name="password2" type="password" required /> 
                <br />
                <button class="btn btn-primary btn-lg btn-block" type="submit">Sign Up</button>

            </form>
        </div>

    </div>
    </center>

{% endblock content %}